# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit cmake

DESCRIPTION="C library for Client Side and Queryable Encryption in MongoDB"
HOMEPAGE="https://github.com/mongodb/libmongocrypt"
SRC_URI="https://github.com/mongodb/libmongocrypt/archive/refs/tags/${PV}.tar.gz -> ${P}.tar.gz"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~arm64 ~hppa ~riscv ~x86"
IUSE="static-libs test"
REQUIRED_USE="test? ( static-libs )"

RDEPEND="
	>=dev-libs/libbson-1.27.1[static-libs?]
	dev-libs/openssl:=
"
DEPEND="${RDEPEND}
	test? (
		dev-libs/libbson[static-libs]
	)"

PATCHES=(
	"${FILESDIR}/${P}-cmake.patch"
	"${FILESDIR}/${P}-build-version.patch"
	"${FILESDIR}/${P}-static.patch"
)

src_configure() {
	local mycmakeargs=(
		-DCMAKE_SKIP_RPATH=ON
		-DUSE_SHARED_LIBBSON=ON
		-DMONGOCRYPT_MONGOC_DIR=USE-SYSTEM
		-DENABLE_ONLINE_TESTS=OFF
		-DBUILD_VERSION=${PV}
		-DENABLE_STATIC="$(usex static-libs ON OFF)"
	)

	cmake_src_configure
}
