# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI="8"

DISTUTILS_USE_PEP517=setuptools
PYTHON_COMPAT=( python3_{10..11} )

inherit distutils-r1 pypi

DESCRIPTION="JSON-RPC 2.0 using aiohttp"
HOMEPAGE="https://github.com/pengutronix/aiohttp-json-rpc"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RESTRICT="!test? ( test )"

RDEPEND="
	>=dev-python/aiohttp-3.5.0[${PYTHON_USEDEP}]
"
DEPEND="
	${RDEPEND}
	test? (
		>=dev-python/pytest-aiohttp-0.3.0[${PYTHON_USEDEP}]
	)
"

distutils_enable_tests pytest

DOCS=( README.rst )

python_test() {
	py.test -v tests || die "Tests failed under ${EPYTHON}"
}
