# Copyright 1999-2023 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

inherit autotools git-r3
DESCRIPTION="Minimalistic netlink library"
HOMEPAGE="https://netfilter.org/projects/libmnl/"
EGIT_REPO_URI="git://git.netfilter.org/libmnl.git"

LICENSE="LGPL-2.1"
SLOT="0/0.2.0"
KEYWORDS=""
IUSE="examples"

src_unpack() {
	git-r3_src_unpack
}

src_prepare(){
	default
	eautoreconf
}
src_install() {
	default

	find "${ED}" -name '*.la' -delete || die

	if use examples; then
		find examples/ -name 'Makefile*' -delete || die
		dodoc -r examples/
		docompress -x /usr/share/doc/${PF}/examples
	fi
}
