# Copyright 1999-2024 Gentoo Authors
# Distributed under the terms of the GNU General Public License v2

EAPI=8

DISTUTILS_USE_PEP517=hatchling
PYTHON_COMPAT=( python3_{10..12} )

inherit distutils-r1 pypi

DESCRIPTION="MONGODB-AWS authentication support for PyMongo"
HOMEPAGE="
	https://github.com/mongodb/pymongo-auth-aws
	https://pypi.org/project/pymongo-auth-aws
"

LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~ppc ~ppc64 ~riscv ~sparc ~x86"

# Requires AWS credentials
RESTRICT="test"
RDEPEND="
	dev-python/boto3[${PYTHON_USEDEP}]
	dev-python/botocore[${PYTHON_USEDEP}]

"
BDEPEND="
	test? (
		<dev-python/dnspython-3.0.0[${PYTHON_USEDEP}]
		dev-python/pymongo[${PYTHON_USEDEP}]
	)
"

PATCHES=(
	"${FILESDIR}/${P}-no-req-text.patch"
)

distutils_enable_tests pytest
